Bug 830300 - CLI wizard will throw exception if git is not installed in the system.
CLI wizard will throw exception if git is not installed in the system.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 15:19 EDT by Peter Ruan
Modified: 2015-05-14 21:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 14:26:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ruan 2012-06-08 15:19:06 EDT
Description of problem:
  If git is not installed in the system, the CLI wizard will throw the following exception.

We will now check to see if you have the necessary client tools installed.

Checking for git ... /var/lib/gems/1.9.1/gems/rhc-0.93.18/lib/rhc/wizard.rb:524:in ``': No such file or directory -  git --version  (Errno::ENOENT)
	from /var/lib/gems/1.9.1/gems/rhc-0.93.18/lib/rhc/wizard.rb:524:in `has_git?'
	from /var/lib/gems/1.9.1/gems/rhc-0.93.18/lib/rhc/wizard.rb:488:in `generic_unix_install_check'
	from /var/lib/gems/1.9.1/gems/rhc-0.93.18/lib/rhc/wizard.rb:288:in `install_client_tools_stage'
	from /var/lib/gems/1.9.1/gems/rhc-0.93.18/lib/rhc/wizard.rb:43:in `block in run'
	from /var/lib/gems/1.9.1/gems/rhc-0.93.18/lib/rhc/wizard.rb:41:in `each'
	from /var/lib/gems/1.9.1/gems/rhc-0.93.18/lib/rhc/wizard.rb:41:in `run'
	from /var/lib/gems/1.9.1/gems/rhc-0.93.18/lib/rhc-common.rb:1254:in `default_setup_wizard'
	from /var/lib/gems/1.9.1/gems/rhc-0.93.18/bin/rhc:41:in `<top (required)>'
	from /usr/local/bin/rhc:19:in `load'
	from /usr/local/bin/rhc:19:in `<main>'

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. a system w/o git installed.
2.
3.
  
Actual results:
see stact trace above

Expected results:
a more friendly warning about missing the require tool git.

Additional info:
Comment 1 Clayton Coleman 2012-06-15 13:42:26 EDT
Fixed earlier this sprint - is in the version of the tool we want to push this monday.
Comment 2 Meng Bo 2012-06-18 23:37:54 EDT
Checked on Fedora17 with ruby 1.9.3 installed. Issue has been fixed.

====

Checking for git ... needs to be installed

Automated installation of client tools is not supported for your platform. You will need to manually install git for full OpenShift functionality.
Comment 3 Meng Bo 2012-06-18 23:38:43 EDT
(In reply to comment #2)
> Checked on Fedora17 with ruby 1.9.3 installed. Issue has been fixed.
> 
> ====
> 
> Checking for git ... needs to be installed
> 
> Automated installation of client tools is not supported for your platform.
> You will need to manually install git for full OpenShift functionality.

rhc-0.94.4

Note You need to log in before you can comment on or make changes to this bug.